Package com.android.server.os

# Enum Class LinphoneTombstoneProtos.MemoryDump.MetadataCase

java.lang.Object
java.lang.Enum<LinphoneTombstoneProtos.MemoryDump.MetadataCase>
com.android.server.os.LinphoneTombstoneProtos.MemoryDump.MetadataCase

All Implemented Interfaces:
  `Serializable`, `Comparable<LinphoneTombstoneProtos.MemoryDump.MetadataCase>`, `Constable`

Enclosing class:
  LinphoneTombstoneProtos.MemoryDump

public static enum LinphoneTombstoneProtos.MemoryDump.MetadataCase extends Enum<LinphoneTombstoneProtos.MemoryDump.MetadataCase>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARM_MTE_METADATA`
`METADATA_NOT_SET`

## Method Summary

Modifier and Type
Method
Description
`static LinphoneTombstoneProtos.MemoryDump.MetadataCase`
`forNumber(int value)`
`int`
`getNumber()`
`static LinphoneTombstoneProtos.MemoryDump.MetadataCase`
`valueOf(int value)`
Deprecated.
`static LinphoneTombstoneProtos.MemoryDump.MetadataCase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LinphoneTombstoneProtos.MemoryDump.MetadataCase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARM_MTE_METADATA

public static final LinphoneTombstoneProtos.MemoryDump.MetadataCase ARM_MTE_METADATA

### METADATA_NOT_SET

public static final LinphoneTombstoneProtos.MemoryDump.MetadataCase METADATA_NOT_SET

## Method Details

### values

public static LinphoneTombstoneProtos.MemoryDump.MetadataCase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LinphoneTombstoneProtos.MemoryDump.MetadataCase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static LinphoneTombstoneProtos.MemoryDump.MetadataCase valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static LinphoneTombstoneProtos.MemoryDump.MetadataCase forNumber(int value)

### getNumber

public int getNumber()